Bug 38120 - Update module documentation
Update module documentation
Status: VERIFIED FIXED
Product: usersguide
Classification: Unclassified
Component: Database
3.x
PC Windows ME/2000
: P1 (vote)
: 3.x
Assigned To: Patrick Keegan
issues@db
:
: 37037 38381 (view as bug list)
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-12-15 15:40 UTC by Radko Najman
Modified: 2004-01-28 09:56 UTC (History)
0 users

See Also:
Issue Type: TASK
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Radko Najman 2003-12-15 15:40:55 UTC
Update the module documentation regarding the
recent changes - driver registrations, adaptors
removal.

Patrick, ignore this task for now. I will check
what needs to be changed and let you know.
Comment 1 Jiri Skrivanek 2004-01-05 15:51:20 UTC
*** Issue 38381 has been marked as a duplicate of this issue. ***
Comment 2 Jiri Skrivanek 2004-01-05 15:55:08 UTC
*** Issue 37037 has been marked as a duplicate of this issue. ***
Comment 3 Jiri Skrivanek 2004-01-05 15:57:54 UTC
Also "Testing a New Driver" is probably obsolete and maybe other
parts. Raising priority because it has to be done before release.
Comment 4 Radko Najman 2004-01-26 16:13:45 UTC
New way how to work with the JDBC drivers was implemented for release
3.6. Regarding this change the following help files should be
modified. The UI spec is available at:
http://db.netbeans.org/uispecs/db_jdbc_driver_manager.html
If you have any questions feel free to ask me. I can give you a short
overview if you want. Thanks, Radko

testdriver.html - remove this file. "Test driver" action doesn't exist
anymore. Remove reference to this help page from adddriver.html.

connusupp.html - remove this file. "Unsupported database" dialog is no
more used in NB 3.6 release. Remove also references to this file from
adddriver.html, connectdb.html.

dbadapt.html - remove this file. Adaptors are not used anymore. Remove
reference from adddriver.html.

adddriver.html:
- delete sentence: "After you add a driver, you can test the driver to
ensure that it is compatible with the Database Explorer."
- delete "or a specific driver under the Drivers node" from step 2.
- modify steps 3-5 regarding the Add JDBC Driver chapter in the UI
spec
(http://db.netbeans.org/uispecs/db_jdbc_driver_manager.html#adddriver).
The user must specify driver jar/zip file location and driver class.

connectdb.html - delete "In the contextual menu for Databases or for
any existing connection, choose Add Connection" in step 1. The user
can connect only using "Connect Using" action on driver node now.

dbexpovew.html - delete sentence "Provide values for an adaptor
class". Adaptors are not used anymore in 3.6 release.
Comment 5 Patrick Keegan 2004-01-26 18:33:42 UTC
implemented changes suggested by Radko. If I have time, I'll try to do
a more thorough update of the docs for 3.6, but no guarantees. Radko,
could you check to make sure the changes I made are accurate? Thanks.
Comment 6 Jiri Skrivanek 2004-01-27 08:11:49 UTC
Patrick, thanks for your changes. A few comments:

adddriver.html:

3. ...... Once you chose a valid archive file, the Driver Class and
the Name fields should be filled by IDE.

4. If the Driver Class field is empty or incorrect, provide the fully
qualified driver class name. .....

viewdata.html

- replace "A dialog box" by "A window"

dbmod.html

- replace "Execute" by "Execute Command" (only first occurence)
- replace "A dialog box" by "A window"
Comment 7 Radko Najman 2004-01-27 16:08:12 UTC
I agree with Jirka's comments.

Please delete also the closing parenthesis from the first sentence
"Explorer)." in adddriver.html.

Maybe it would be good to say in misc.html, step 1, that Database
Explorer node is placed under IDE Configuration -> Server and External
Tool Settings in Options window. The same for dbconfig.html and
manipsql.html.
Comment 8 Patrick Keegan 2004-01-27 20:58:11 UTC
Thanks for edits, Jirko. I just integrated them. 

For now, I'll consider this task closed. If anything else needs to be
done, please let me know
Comment 9 Jiri Skrivanek 2004-01-28 09:56:32 UTC
Verified in build 20040128-0453. I also fixed a few typos and one
broken link. These changes don't need language review.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo